Cannot compile current version of antispam

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Cannot compile current version of antispam

Steffen Kaiser-3
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

with the current (2008-05-20) repository releases of Dovecot-1.0 and
antispam the plugin no longer compiles:

antispam-storage-1.0.c: In function âantispam_mail_update_keywordsâ:
antispam-storage-1.0.c:285: error: âidxkwd__typeâ undeclared (first use in
this function)
antispam-storage-1.0.c:285: error: (Each undeclared identifier is reported
only once
antispam-storage-1.0.c:285: error: for each function it appears in.)
antispam-storage-1.0.c:285: warning: type defaults to âintâ in declaration
of âtype nameâ
antispam-storage-1.0.c:285: warning: initialization from incompatible
pointer type

Version of antispam: (first entry of git log)
commit c3a343290773d6e22a08946cb2ef80b1b8fe8a06
Author: Johannes Berg <[hidden email]>
Date:   Sat Apr 26 20:34:06 2008 +0200

     add 1.1 storage. probably doesn't work

Base version of Dovecot:
changeset:   5551:71c02fdf1b59
branch:      branch_1_0
tag:         tip

Bye,

- --
Steffen Kaiser
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIMtunVJMDrex4hCIRAjXgAJ9j0oNUa0wGaLMshw6F/kjQoQxvygCdHLE9
Vb7rUcHxSr1kcgN+MHCsI1U=
=dBuy
-----END PGP SIGNATURE-----
Reply | Threaded
Open this post in threaded view
|

Re: Cannot compile current version of antispam

Johannes Berg

> with the current (2008-05-20) repository releases of Dovecot-1.0 and
> antispam the plugin no longer compiles:
>
> antispam-storage-1.0.c: In function âantispam_mail_update_keywordsâ:
> antispam-storage-1.0.c:285: error: âidxkwd__typeâ undeclared (first use in
> this function)
> antispam-storage-1.0.c:285: error: (Each undeclared identifier is reported
> only once
> antispam-storage-1.0.c:285: error: for each function it appears in.)
> antispam-storage-1.0.c:285: warning: type defaults to âintâ in declaration
> of âtype nameâ
> antispam-storage-1.0.c:285: warning: initialization from incompatible
> pointer type
Thanks for the reminder, Chris Boyle had sent me a bugfix for this a
week ago that I had so far neglected to apply, I have done that now.

johannes

signature.asc (845 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot compile current version of antispam

Steffen Kaiser-3
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, 20 May 2008, Johannes Berg wrote:

> Thanks for the reminder, Chris Boyle had sent me a bugfix for this a
> week ago that I had so far neglected to apply, I have done that now.

Yep, it compiles, thanks!

- --
Steffen Kaiser
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIMuQMVJMDrex4hCIRAi9wAKCxoTpCCfwjKDvikFl0RdROJXw4PQCeO588
cPp5/9txixsQAabPGfNz/RU=
=pekW
-----END PGP SIGNATURE-----